component-section(datetimestart='2021-11-11T18:30' minutesneeded='165' istopmost='true')
  div(slot='title') Lineaire datastructuren
  p.bron
    a(href='#sec_4') Data
    |  tot 
    a(href='#sec_4.5.1') 4.5.1
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["begrip-datastructuur"]')
        | Je legt uit datastructuur.
      component-intendedlearningoutcome(codes='["begrip-datastructuur-rij"]')
        | Je legt uit een rij (array).
      component-intendedlearningoutcome(codes='["begrip-adt-lijst"]')
        | Je legt uit lijst.
      component-intendedlearningoutcome(codes='["begrip-adt-stapel"]')
        | Je legt uit stapel (stack).
      component-intendedlearningoutcome(codes='["begrip-adt-wachtrij"]')
        | Je legt uit wachtrij (queue).
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-doubly_linked_list"]')
        | Je ontwikkelt een doubly-linked list.
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-rij-dynamisch"]')
        | Je ontwikkelt een dynamische rij (dynamic array).
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-stapel"]')
        | Je programmeert uit een stapel.
  component-section(datetimestart='2021-11-11T18:30' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-11-11T18:35' minutesneeded='15')
    div(slot='title') Lijsten
    ul
      li
        p Samenvattende uitleg over lijsten.
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/lineaire-datastructuren') Voorbeeld van een lijst-adt en datastructuur in Rust
          | .
  component-section(datetimestart='2021-11-11T18:50' minutesneeded='25')
    div(slot='title') (Tweevoudig) gelinkte lijsten
    ul
      li
        p
          | Samenvattende uitleg over (tweevoudig) gelinkte lijsten met 
          a(href='https://visualgo.net/en/list') VisuAlgo: linked list
          |  en 
          a(href='https://opendsa-server.cs.vt.edu/OpenDSA/Books/Everything/html/ListDouble.html') OpenDSA: Doubly Linked Lists
          | .
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/linked-lists') Voorbeeld van een tweevoudig gelinkte lijst in Java
          | .
  component-section(datetimestart='2021-11-11T19:15' minutesneeded='5')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2021-11-11T19:20' minutesneeded='25')
    div(slot='title') Stapels
    ul
      li
        p
          | Samenvattende uitleg over stapels met 
          a(href='https://visualgo.net/en/list') VisuAlgo: stack
          | .
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/lineaire-datastructuren') Voorbeeld van een stapel in Rust
          | .
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/materials/-/blob/1412817620ae416fb6dce9058eb17697df43f199/src/stack.mjs') Voorbeeld van een stapel in JavaScript
          | .
  component-section(datetimestart='2021-11-11T19:45' minutesneeded='20')
    div(slot='title') Wachtrijen
    ul
      li
        p
          | Samenvattende uitleg over wachtrijen met 
          a(href='https://visualgo.net/en/list') VisuAlgo: queue
          | .
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/materials/-/blob/1412817620ae416fb6dce9058eb17697df43f199/src/queue.mjs') Voorbeeld van een wachtrij in JavaScript
          | .
  component-section(datetimestart='2021-11-11T20:05' minutesneeded='60')
    div(slot='title') Zelf (samen)werken
  component-section(datetimestart='2022-11-11T21:05' minutesneeded='10')
    div(slot='title') Afronding
